Package org.apache.batchee.container.services.executor

## Class BoundedThreadPoolService

- java.lang.Object
- - org.apache.batchee.container.services.executor.AbstractThreadPoolService
  - - org.apache.batchee.container.services.executor.BoundedThreadPoolService

- All Implemented Interfaces:
    `BatchService`, `BatchThreadPoolService`

      public class BoundedThreadPoolService
      extends AbstractThreadPoolService

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BOUNDED_THREADPOOL_KEEP_ALIVE_TIME` |
    `static String` | `BOUNDED_THREADPOOL_MAX_POOL_SIZE` |
    `static String` | `BOUNDED_THREADPOOL_MIN_POOL_SIZE` |
    `static String` | `BOUNDED_THREADPOOL_QUEUE_SIZE` |

    - ### Fields inherited from class org.apache.batchee.container.services.executor.AbstractThreadPoolService

      `executorService`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoundedThreadPoolService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ExecutorService` | `newExecutorService​(Properties batchConfig)` |

    - ### Methods inherited from class org.apache.batchee.container.services.executor.AbstractThreadPoolService

      `executeTask, init, shutdown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOUNDED_THREADPOOL_MAX_POOL_SIZE

          public static final String BOUNDED_THREADPOOL_MAX_POOL_SIZE

      See Also:
        Constant Field Values

    - #### BOUNDED_THREADPOOL_MIN_POOL_SIZE

          public static final String BOUNDED_THREADPOOL_MIN_POOL_SIZE

      See Also:
        Constant Field Values

    - #### BOUNDED_THREADPOOL_KEEP_ALIVE_TIME

          public static final String BOUNDED_THREADPOOL_KEEP_ALIVE_TIME

      See Also:
        Constant Field Values

    - #### BOUNDED_THREADPOOL_QUEUE_SIZE

          public static final String BOUNDED_THREADPOOL_QUEUE_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BoundedThreadPoolService

          public BoundedThreadPoolService()

  - ### Method Detail

    - #### newExecutorService

          protected ExecutorService newExecutorService​(Properties batchConfig)

      Specified by:
        `newExecutorService` in class `AbstractThreadPoolService`